> For the complete documentation index, see [llms.txt](https://docs.sumero.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sumero.finance/using-sumero/approved-synthetic-assets/uscpi.md).

# USCPI

## **Synthetic Asset Description**&#x20;

A synthetic asset that tracks the latest price for the U.S. Consumer Price index for All Urban Consumers: All Items in U.S. City Average.

**Display Name:** U.S. Consumer Price Index for All Urban Consumers: All Items in U.S. City Average\
**Symbol:** USCPI\
**EMP Price Identifier:** Numerical\
**Market:** Published by <https://www.bls.gov/>\
**Data Update Frequency:** Monthly\
**Price Feed Source:** <https://fred.stlouisfed.org/docs/api/fred/>\
**Data Providers:**

* **Real-time or latest price:** Use the chart provided by this link <https://fred.stlouisfed.org/series/CPIAUCSL>
* **Historical data:** Configure the following URL by inputting values for 'api\_key=' and 'observation\_start=':
  * <https://api.stlouisfed.org/fred/series/observations?series_id=CPIAUCSL&api_key=API-KEY-VALUE&file_type=json&observation_start=YYYY-MM-DD>

### Manual Price Calculation&#x20;

To determine the monthly price for USCPI for the given month of a request timestamp, voters must do the following:

1. Get the request timestamp.
2. Convert the timestamp to UTC time.
3. Get the exact date/month/year.
4. Go to <https://fred.stlouisfed.org/docs/api/fred/series_observations.html>
5. Acquire an API key.
6. Using the following URL, enter the required values for 'api\_key=' and 'observation\_start=':
   * <https://api.stlouisfed.org/fred/series/observations?series_id=CPIAUCSL&api_key=API-KEY-VALUE&file_type=json&observation_start=YYYY-MM-DD>
7. Paste the configured URL into your browser's search bar.
8. Retrieve the CPI Price from the response JSON. The correct CPI price for a given date will be located beside the “value” keyword within the response JSON.

**Example response object**

{% code overflow="wrap" %}

```http
{"realtime_start":"2023-03-06","realtime_end":"2023-03-06","observation_start":"2022-12-22","observation_end":"9999-12-31","units":"lin","output_type":1,"file_type":"json","order_by":"observation_date","sort_order":"asc","count":2,"offset":0,"limit":100000,"observations":[{"realtime_start":"2023-03-06","realtime_end":"2023-03-06","date":"2022-12-01","value":"298.990"},{"realtime_start":"2023-03-06","realtime_end":"2023-03-06","date":"2023-01-01","value":"300.536"}]}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sumero.finance/using-sumero/approved-synthetic-assets/uscpi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
